Bug 157597 - [PATCH] Fix port: dns/unbound should use USERS
[PATCH] Fix port: dns/unbound should use USERS
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-04 11:20 UTC by utisoft
Modified: 2011-07-11 15:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description utisoft 2011-06-04 11:20:07 UTC
	

	This port uses pkg-install to create new users instead of using USERS=

Fix: - Use USERS

	Submitted by: Chris Rees (utisoft@gmail.com)




-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--vRpdHk4yTYiSkvnId83s4ucLx14X2QIlCbdCCDlH3pd4wECf
Content-Type: text/plain; name="dns-unbound.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="dns-unbound.patch"

Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/dns/unbound/Makefile,v
retrieving revision 1.37
diff -u -r1.37 Makefile
--- Makefile	25 May 2011 09:30:38 -0000	1.37
+++ Makefile	2 Jun 2011 15:32:45 -0000
@@ -19,6 +19,8 @@
 CONFIGURE_ARGS+=	--with-ssl=${OPENSSLBASE} --with-ldns-builtin
 USE_LDCONFIG=	yes
 
+USERS=		${PORTNAME}
+
 USE_RC_SUBR=	unbound
 
 MAN1=		unbound-host.1
@@ -29,8 +31,6 @@
 PORTDOCS=	CREDITS Changelog FEATURES LICENSE README README.svn \
 		README.tests TODO control_proto_spec.txt ietf67-design-02.odp \
 		ietf67-design-02.pdf requirements.txt
-PKGINSTALL=	${WRKDIR}/pkg-install
-PKGDEINSTALL=	${WRKDIR}/pkg-deinstall
 SUB_FILES=	pkg-install pkg-deinstall
 PLIST_SUB+=	PYTHON=${PYTHON}
 
@@ -84,9 +84,6 @@
 	@${MKDIR} ${WRKSRC}/balancer
 	@${RM} ${WRKSRC}/util/configlexer.c
 
-pre-install:
-	@${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
-
 post-install:
 	@${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 .if !defined(NOPORTDOCS)
Index: files/pkg-install.in
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/dns/unbound/files/pkg-install.in,v
retrieving revision 1.3
diff -u -r1.3 pkg-install.in
--- files/pkg-install.in	17 Aug 2009 13:27:19 -0000	1.3
+++ files/pkg-install.in	2 Jun 2011 15:32:05 -0000
@@ -4,27 +4,10 @@
 #
 
 PW=/usr/sbin/pw
-UID=59
 USER="unbound"
 PREFIX="%%PREFIX%%"
 
 case $2 in
-
-PRE-INSTALL)
-	if ${PW} user show "${USER}" 2>/dev/null; then
-		echo "You already have a user \"${USER}\", so I will use it."
-	else
-		if ${PW} useradd ${USER} -u ${UID} -g daemon -h - \
-			-d "/nonexistent" -s /usr/sbin/nologin -c "unbound dns resolver"
-		then
-			echo "Added user \"${USER}\"."
-		else
-			echo "Adding user \"${USER}\" failed..."
-			exit 1
-		fi
-	fi
-	;;
-
 POST-INSTALL)
 	chown "${USER}" $PREFIX/etc/unbound
 	;;
Comment 1 Edwin Groothuis freebsd_committer 2011-06-04 11:20:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2011-07-09 17:30:34 UTC
crees       2011-07-09 16:30:19 UTC

  FreeBSD ports repository

  Modified files:
    dns/unbound          Makefile 
    dns/unbound/files    pkg-install.in 
  Log:
  Use USERS
  
  PR:             ports/157597
  Submitted by:   crees (me)
  Reviewed by:    rene (mentor, implicit), maintainer timeout (sem, 34 days)
  
  Revision  Changes    Path
  1.39      +2 -5      ports/dns/unbound/Makefile
  1.4       +1 -18     ports/dns/unbound/files/pkg-install.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Chris Rees freebsd_committer 2011-07-09 17:30:44 UTC
State Changed
From-To: open->closed
Comment 4 Chris Rees freebsd_committer 2011-07-09 17:30:44 UTC
Responsible Changed
From-To: sem->crees

Maintainer timeout
Comment 5 dfilter freebsd_committer 2011-07-09 18:53:37 UTC
crees       2011-07-09 17:53:24 UTC

  FreeBSD ports repository

  Modified files:
    dns/unbound          Makefile 
    dns/unbound/files    pkg-install.in 
  Log:
  Incorrect keyword in previous commit; should have read:
  
  Use USERS
  
  PR:             ports/157597
  Submitted by:   crees (me)
  Approved by:    rene (mentor, implicit), maintainer timeout (sem, 34 days)
  
  Revision  Changes    Path
  1.40      +0 -0      ports/dns/unbound/Makefile
  1.5       +1 -1      ports/dns/unbound/files/pkg-install.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 sem33 2011-07-11 14:30:28 UTC
I've missed the PR. Sorry.
Comment 7 Chris Rees freebsd_committer 2011-07-11 15:28:49 UTC
On 11 Jul 2011 14:30, "Sergey Matveychuk" <sem33@yandex-team.ru> wrote:
>
> I've missed the PR. Sorry.

Not a problem!

Chris